com.opensymphony.xwork2.config.providers

## Class StrutsDefaultConfigurationProvider

- java.lang.Object
- - com.opensymphony.xwork2.config.providers.StrutsDefaultConfigurationProvider

- All Implemented Interfaces:
    ConfigurationProvider, ContainerProvider, PackageProvider

      public class StrutsDefaultConfigurationProvider
      extends Object
      implements ConfigurationProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsDefaultConfigurationProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Called before removed from the configuration manager
    `void` | `init(Configuration configuration)` Initializes with the configuration
    `void` | `loadPackages()` Loads the packages for the configuration.
    `boolean` | `needsReload()` Tells whether the ContainerProvider should reload its configuration
    `void` | `register(ContainerBuilder builder, LocatableProperties props)` Registers beans and properties for the Container

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsDefaultConfigurationProvider

          public StrutsDefaultConfigurationProvider()

  - ### Method Detail

    - #### destroy

          public void destroy()

      Description copied from interface: `ContainerProvider`
      Called before removed from the configuration manager
      Specified by:
        `destroy` in interface `ContainerProvider`

    - #### init

          public void init(Configuration configuration)
                    throws ConfigurationException

      Description copied from interface: `ContainerProvider`
      Initializes with the configuration
      Specified by:
        `init` in interface `ContainerProvider`
      Specified by:
        `init` in interface `PackageProvider`
      Parameters:
        `configuration` - The configuration
      Throws:
        `ConfigurationException` - If anything goes wrong

    - #### loadPackages

          public void loadPackages()
                            throws ConfigurationException

      Description copied from interface: `PackageProvider`
      Loads the packages for the configuration.
      Specified by:
        `loadPackages` in interface `PackageProvider`
      Throws:
        `ConfigurationException` - in case of configuration errors

    - #### needsReload

          public boolean needsReload()

      Description copied from interface: `ContainerProvider`
      Tells whether the ContainerProvider should reload its configuration
      Specified by:
        `needsReload` in interface `ContainerProvider`
      Specified by:
        `needsReload` in interface `PackageProvider`
      Returns:
        `true`, whether the ContainerProvider should reload its configuration, `false`otherwise.

    - #### register

          public void register(ContainerBuilder builder,
                               LocatableProperties props)
                        throws ConfigurationException

      Description copied from interface: `ContainerProvider`
      Registers beans and properties for the Container
      Specified by:
        `register` in interface `ContainerProvider`
      Parameters:
        `builder` - The builder to register beans with
        `props` - The properties to register constants with
      Throws:
        `ConfigurationException` - If anything goes wrong

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.